Bug 612 - Some identical localization issues from helpdesk
: Some identical localization issues from helpdesk
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 15:15 MSD by JDronova
Modified: 2015-04-17 16:48 MSD (History)
6 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Исправления на clementine (154.67 KB, image/jpeg)
2013-04-19 18:06 MSD, VictorR2007
Details
Чистый по файл. (4.46 KB, application/x-gzip)
2013-04-19 18:07 MSD, VictorR2007
Details
Pot файл (4.45 KB, application/x-gzip)
2013-04-19 18:13 MSD, VictorR2007
Details
Этот файл немного меньше. (3.25 KB, application/x-gzip)
2013-04-19 18:28 MSD, VictorR2007
Details
Исправленные файлы (5.16 KB, application/x-gzip)
2013-04-19 18:52 MSD, VictorR2007
Details
Файл где уже есть весь перевод. (55.42 KB, application/x-gzip)
2013-04-20 03:28 MSD, VictorR2007
Details
Еще один pot файл, снимающий похожие проблемы (3.46 KB, application/x-gzip)
2013-04-20 04:20 MSD, VictorR2007
Details
Ваш файл kio4, только подчищен и переименован. (6.12 KB, application/x-gzip)
2013-04-21 16:20 MSD, VictorR2007
Details
Русский .po из аттача 1312 (28.11 KB, text/x-gettext-translation)
2013-04-23 22:38 MSD, JDronova
Details
Русский .po из аттача 1314 (19.54 KB, text/x-gettext-translation)
2013-04-29 21:10 MSD, JDronova
Details
патч+.po файлы, исправляющие описанную проблему (14.91 KB, application/x-gzip)
2013-05-10 21:13 MSD, JDronova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JDronova 2012-08-01 15:15:19 MSD
Hello,
On helpdesk we have some pending localization tickets with so-called untranslated strings in programs (2012 LTS), but in fact they all seem to be related to the same unidentified issue somewhere in KDE code. Probably it's QFileDialog
These bugs are (helpdesk ticket ID): 
'open file' dialog in Clementine (id=1659), 
picture: http://ompldr.org/vZXh6OQ/1659_0.png
add file to the list dialog in Clementine (id=2288),
picture: http://ompldr.org/vZXh6YQ/2288_0.png
'add attachment' dialog in sphere-client (id=2204),  
picture: http://ompldr.org/vZXh6Yg/2204_0.png
remote network shares and folders dialog in Dolphin (id=1651)
picture: http://ompldr.org/vZXh6Yw/1651_0.png

And there were some very similar cases related to 2011, too.

I would like to have some helping opinions on the case from our developers.
Comment 1 JDronova 2012-08-01 15:21:02 MSD
I forgot to mention that these bugs are all related to fully translated programs, this was checked more than once.
Comment 2 JDronova 2012-12-04 09:55:51 MSK
See bug 162 also.
Comment 3 JDronova 2012-12-06 00:47:52 MSK
*** Bug 181 has been marked as a duplicate of this bug. ***
Comment 4 VictorR2007 2013-04-19 18:06:29 MSD
Created attachment 1307 [details]
Исправления на clementine
Comment 5 VictorR2007 2013-04-19 18:07:41 MSD
Created attachment 1308 [details]
Чистый по файл.
Comment 6 VictorR2007 2013-04-19 18:12:16 MSD
Все строки уже есть в базе данных KDE для Lokalize.
После перевода можно положить в /kde-l10n-ru-4.10.2/messages/kdelibs/
Сейчас еще добавлю pot файл.
Если необходимо, могу попробовать немного отфильтровать
строки. Возможно попало немного лишних.
Comment 7 VictorR2007 2013-04-19 18:13:21 MSD
Created attachment 1309 [details]
Pot файл
Comment 8 JDronova 2013-04-19 18:18:04 MSD
Отлично, забрала оба файла.
Comment 9 VictorR2007 2013-04-19 18:28:50 MSD
Created attachment 1310 [details]
Этот файл немного меньше.

Из этого файла удалены некоторые строки, которые как мне кажется лишние.
С ним тоже все по русски.
Comment 10 JDronova 2013-04-19 18:35:45 MSD
Так, Виктор. Заметила неправильные множественные формы. Сейчас в KDE используется 4 множественных формы. а не 3, как раньше. Ссылка: http://l10n.lrn.ru/wiki/%D0%A1%D0%BF%D1%80%D0%B0%D0%B2%D0%BE%D1%87%D0%BD%D0%B8%D0%BA_%D0%BF%D0%BE_%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D0%BC_%D0%BC%D0%BD%D0%BE%D0%B6%D0%B5%D1%81%D1%82%D0%B2%D0%B5%D0%BD%D0%BD%D0%BE%D0%B3%D0%BE_%D1%87%D0%B8%D1%81%D0%BB%D0%B0_%D0%B2_KDE
Надо исправить пошки и пот.
Comment 11 VictorR2007 2013-04-19 18:37:55 MSD
Ага. Я видел, но решил пока оставить так.
Сейчас исправлю.
Comment 12 VictorR2007 2013-04-19 18:52:22 MSD
Created attachment 1312 [details]
Исправленные файлы

Исправленные два pot и один po файлы.
Comment 13 VictorR2007 2013-04-20 03:28:45 MSD
Created attachment 1313 [details]
Файл где уже есть весь перевод.

Я вчера немного затупил. Можно просто взять другой готовый
файл, который вы Юля делали раньше для KDE.
Его переименовать в kfilemodule.po
и с помощью Poedit обновить из pot файла.
Все лишнее удалится и получится полностью переведенный файл.
Там останется две строки без перевода.
Comment 14 VictorR2007 2013-04-20 04:20:13 MSD
Created attachment 1314 [details]
Еще один pot файл, снимающий похожие проблемы

Вспомнил что такие же продлемы видел и у Qt4 Designer.
Как оказалось, они остались не исправлены.
Сделал приложенный файл. Потом взял полностью переведенный kio4.po,
который приложил к предыдущему сообщению, переименовал и обновил
из этого pot файла. Остались не переведенными десяток строк.
Теперь в Qt4 Designer все стало по русски.
Comment 15 JDronova 2013-04-20 08:06:21 MSD
(In reply to comment #13)
> Created attachment 1313 [details]
> Файл где уже есть весь перевод.
> 
> Я вчера немного затупил. Можно просто взять другой готовый
> файл, который вы Юля делали раньше для KDE.
> Его переименовать в kfilemodule.po
> и с помощью Poedit обновить из pot файла.
> Все лишнее удалится и получится полностью переведенный файл.
> Там останется две строки без перевода.

Виктор, вот вы только меня не путайте. Доделаю что взяла вчера (в аттаче 1312), а потом будем дальше разбираться. Не на пожар едем.
Comment 16 VictorR2007 2013-04-21 16:20:17 MSD
Created attachment 1315 [details]
Ваш файл kio4, только подчищен и переименован.


> Виктор, вот вы только меня не путайте. Доделаю что взяла вчера (в аттаче
> 1312), а потом будем дальше разбираться. Не на пожар едем.

Просто пытался облегчить вам жизнь.
Можно было не переводить, а просто сделать этот
файл в три клика мыши из файла kio4.po, который вы доделали в

"Project-Id-Version: kio4\n"
"Report-Msgid-Bugs-To: http://bugs.kde.org\n"
"POT-Creation-Date: 2013-03-28 10:37+0100\n"
"PO-Revision-Date: 2012-09-01 19:05+0400\n"
"Last-Translator: Julia Dronova <juliette.tux@gmail.com>\n"

Тогда ничего переводить не пришлось бы.
Приложил отредактированный файл.
Заменена строка
"Project-Id-Version: kio4\n"
на
"Project-Id-Version: kfilemodule\n"
и удалены все лишние строки.
Так-же переименован из kio4.po в kfilemodule.po.
Больше ничего не делал.
Comment 17 JDronova 2013-04-23 22:38:15 MSD
Created attachment 1322 [details]
Русский .po из аттача 1312

Так. Что у нас дальше? Пошка в аттаче 1315 снимает оставшиеся известные проблемы, так? Вызывать девелоперов на патч?
Comment 18 VictorR2007 2013-04-26 21:11:54 MSD
> Так. Что у нас дальше? Пошка в аттаче 1315 снимает оставшиеся известные
> проблемы, так? Вызывать девелоперов на патч?
Нет. Пот в аттаче 1314. Но он вроде исправляет только
в Qt4 Designer
Comment 19 JDronova 2013-04-27 02:31:26 MSD
Ну доделаем и для Qt4 Designer, ок, поняла.
Comment 20 JDronova 2013-04-29 21:10:24 MSD
Created attachment 1338 [details]
Русский .po из аттача 1314
Comment 21 JDronova 2013-05-10 21:13:41 MSD
Created attachment 1349 [details]
патч+.po файлы, исправляющие описанную проблему

Андрей, будет время, взгляни на содержимое аттача. Возможно, пригодится патч от Виктора, или лучше будет добавить .po как SOURCE, на твой выбор, как сказал Виктор.
Comment 22 Stanislav Fomin 2013-06-04 01:09:02 MSD
Move these bugs from Stanislav to Julia.
Comment 23 JDronova 2014-06-27 18:10:57 MSD
*** Bug 2406 has been marked as a duplicate of this bug. ***
Comment 24 Denis Silakov 2015-04-17 15:40:41 MSD
Исходные картинки с проблемами больше не доступны. Кто-нибудь помнит, о чем шла речь в этом баге?:)

Жалоб на диалоги открытия файлов в clementine и прочих программах давно не поступало. Считаем исправленным во Фреше? Или еще что-то осталось?
Comment 25 JDronova 2015-04-17 16:48:41 MSD
Ну тут просто на тот момент у меня не было знаний, которые есть теперь, а по ходу тоже много в других багах исправлялось, связанное с desktop-файлами, с xml, а также с тем, что при наложенных Корявовских патчах в наших исходниках тупо не перегенеривался pot в нашем росовском дельфине, и прочее таковое же. Закрывать можно.